Get chats of a creator
curl --request GET \
--url https://api.example.com/creators/{creatorUserUuid}/chats \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.example.com/creators/{creatorUserUuid}/chats"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.example.com/creators/{creatorUserUuid}/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2024-01-15T00:00:00.000Z",
"lastMessageAt": "2024-01-15T00:00:00.000Z",
"isRead": false,
"isMuted": false,
"unreadMessagesCount": 3,
"user": {
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"handle": "sarah-jones",
"nickname": "SarahK",
"displayName": "Sarah Jones",
"isTopSpender": true,
"avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
"registeredAt": "2024-01-10T12:00:00.000Z"
},
"isCreator": false,
"online": true,
"lastSeenAt": "2024-01-15T00:00:00.000Z",
"customLists": [
{
"uuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"name": "VIPs"
}
],
"lastMessage": {
"uuid": "a1b2c3d4-5e6f-7g8h-9i0j-k1l2m3n4o5p6",
"text": "Hey there! How are you doing?",
"type": "SINGLE_RECIPIENT",
"sentAt": "2024-01-15T00:00:00.000Z",
"hasMedia": true,
"mediaType": "image",
"senderUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"senderRole": "CREATOR",
"sentByUserId": null,
"status": "Read"
}
},
{
"createdAt": "2024-01-14T00:00:00.000Z",
"lastMessageAt": null,
"isRead": true,
"isMuted": true,
"unreadMessagesCount": 0,
"user": {
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"handle": "mike-smith",
"nickname": null,
"displayName": "Mike Smithly",
"isTopSpender": false,
"avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
"registeredAt": "2024-01-10T12:00:00.000Z"
},
"lastMessage": null
},
{
"createdAt": "2024-01-15T00:00:00.000Z",
"lastMessageAt": "2024-01-15T00:00:00.000Z",
"isRead": true,
"isMuted": false,
"unreadMessagesCount": 0,
"user": {
"uuid": "3bbe6394-2830-4646-a8ba-4a0a05426947",
"handle": "johnny-doey",
"nickname": "JohnnyD",
"displayName": "Johnny Doey",
"isTopSpender": true,
"avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
"registeredAt": "2024-01-10T12:00:00.000Z"
},
"lastMessage": {
"uuid": "c3d4e5f6-7890-1234-5678-9abcdef01234",
"text": "Check out my new post!",
"type": "BROADCAST",
"sentAt": "2024-01-15T00:00:00.000Z",
"hasMedia": true,
"mediaType": "image",
"senderUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"senderRole": "CREATOR",
"sentByUserId": null,
"status": "Delivered"
}
}
],
"pagination": {
"page": 1,
"size": 2,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Creator Chats
Get chats of a creator
Returns a paginated list of chats for the specified creator.
GET
/
creators
/
{creatorUserUuid}
/
chats
Get chats of a creator
curl --request GET \
--url https://api.example.com/creators/{creatorUserUuid}/chats \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.example.com/creators/{creatorUserUuid}/chats"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.example.com/creators/{creatorUserUuid}/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"createdAt": "2024-01-15T00:00:00.000Z",
"lastMessageAt": "2024-01-15T00:00:00.000Z",
"isRead": false,
"isMuted": false,
"unreadMessagesCount": 3,
"user": {
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"handle": "sarah-jones",
"nickname": "SarahK",
"displayName": "Sarah Jones",
"isTopSpender": true,
"avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
"registeredAt": "2024-01-10T12:00:00.000Z"
},
"isCreator": false,
"online": true,
"lastSeenAt": "2024-01-15T00:00:00.000Z",
"customLists": [
{
"uuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"name": "VIPs"
}
],
"lastMessage": {
"uuid": "a1b2c3d4-5e6f-7g8h-9i0j-k1l2m3n4o5p6",
"text": "Hey there! How are you doing?",
"type": "SINGLE_RECIPIENT",
"sentAt": "2024-01-15T00:00:00.000Z",
"hasMedia": true,
"mediaType": "image",
"senderUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"senderRole": "CREATOR",
"sentByUserId": null,
"status": "Read"
}
},
{
"createdAt": "2024-01-14T00:00:00.000Z",
"lastMessageAt": null,
"isRead": true,
"isMuted": true,
"unreadMessagesCount": 0,
"user": {
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"handle": "mike-smith",
"nickname": null,
"displayName": "Mike Smithly",
"isTopSpender": false,
"avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
"registeredAt": "2024-01-10T12:00:00.000Z"
},
"lastMessage": null
},
{
"createdAt": "2024-01-15T00:00:00.000Z",
"lastMessageAt": "2024-01-15T00:00:00.000Z",
"isRead": true,
"isMuted": false,
"unreadMessagesCount": 0,
"user": {
"uuid": "3bbe6394-2830-4646-a8ba-4a0a05426947",
"handle": "johnny-doey",
"nickname": "JohnnyD",
"displayName": "Johnny Doey",
"isTopSpender": true,
"avatarUrl": "https://media.fanvue.com/avatars/example-avatar.jpg",
"registeredAt": "2024-01-10T12:00:00.000Z"
},
"lastMessage": {
"uuid": "c3d4e5f6-7890-1234-5678-9abcdef01234",
"text": "Check out my new post!",
"type": "BROADCAST",
"sentAt": "2024-01-15T00:00:00.000Z",
"hasMedia": true,
"mediaType": "image",
"senderUuid": "c3d4e5f6-7g8h-9i0j-1k2l-m3n4o5p6q7r8",
"senderRole": "CREATOR",
"sentByUserId": null,
"status": "Delivered"
}
}
],
"pagination": {
"page": 1,
"size": 2,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scopes
read:creator— Access creator profiles, content, and creator-specific information.read:chat— Read chat conversations, messages, and chat-related data. This includes viewing chat lists and message history.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Path Parameters
Query Parameters
Page number to retrieve (starts from 1)
Required range:
x >= 1Number of items to return per page (1-50, default: 15)
Required range:
1 <= x <= 50Was this page helpful?
Unblock a user on behalf of a creatorGet unread chats, messages, and notifications count for a creator
⌘I